Subject: Protecting Copyright.

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 15:35:11 +0000

Hi all,

I would like to ask why ideas submitted into ietf drafts are applied without a notice to the draft authors ?!!!

Before NEP ID, there was no IGP uses a composite metric such as NEP uses, and now I can see that cisco added a third factor to its eigrp metric calculation (they call it K6) and became as NEP ID.

The funny thing is that during NEP presentation at the ietf meeting someone from cisco asked "what are the benefits to add this factor to the metric", and then you see this factor added to their IGP.

Actually, I received no notice from cisco before applying such thing to their IGP.

Can someone tells me what this means or what to call this?

Regards,

Khaled Omar

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 28 Apr 2020 17:02:06 +0000

Hi Khaled,

I'm no expert on EIGRP or your NED draft, but note that EIGRP is documented in RFC 7868, that was published as an informational RFC on May 2016.  According to datatracker, the first EIGRP draft submitted to IETF appears to be 18th Feb 2013.

Both the final RFC and initial draft appear to document composite metrics including the K6 coefficient that is part of Wide Metric support.

The first revision of your NEP draft was submitted on Jun 2017, which seems to suggest that EIGRP supported composite metrics for some number of years before your first internet draft submission on NED.

But it is generally patents that protect ideas rather that copyright, and a quick patent search reveals US5088032A filed by Cisco in 1988 which describes the use of composite routing metrics:

<snip>
The metric information includes the topological delay time for a transmission, the path bandwidth for the narrowest bandwidth segment of the path, the channel occupancy of the path, and a count of the number of gateway circuits through which the path runs (the "hop count"). Based on this metric information, a single "composite metric" is calculated for the path.
</snip>

In summary, unless there is some nuance to your question that I misunderstand, I don't think that Cisco, or anyone else, is copying your ideas on composite metrics.  I think that the basic idea of using composite metrics have been known in the industry for a long time.

Hopefully this answers your question.

Regards,
Rob

From: ietf <[email-masked]> On Behalf Of Khaled Omar
Sent: 28 April 2020 16:35
To: [email-masked]
Subject: Protecting Copyright.

Hi all,

Regards,

Khaled Omar

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 17:19:29 +0000

Hi Rob,

> In summary, unless there is some nuance to your question that I misunderstand, I don't think that Cisco, or anyone else, is copying your ideas on composite metrics.  I think that the basic idea of…

The composite metric that eigrp uses depends on the following:

1)     Bandwidth.

2)     Load.

3)     Delay.

4)     Reliability.

5)     MTU.

So, there is no factor "number of hops" taken into consideration in the metric calculation until this was added in the new EIGRP version that you call "named mode EIGRP" with wide metric that includes K6 (number of hops) as an addition to the metric calculation.

This was something new introduced by the Numbering Exchange Protocol (NEP) ID and presented on the IETF 101 remotely, and your colleague asked what are the benefits of adding this factor to the metric, so it wasn't something on EIGRP and it was something described on the new IGP NEP.

Regards,

Khaled Omar

From: Rob Wilton (rwilton) <[email-masked]>
Sent: Tuesday, April 28, 2020 7:02 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]
Subject: RE: Protecting Copyright.

Hi Khaled,

<snip>

Regards,
Rob

From: ietf <[email-masked]<mailto:[email-masked]>> On Behalf Of Khaled Omar
Sent: 28 April 2020 16:35
To: [email-masked]<mailto:[email-masked]>
Subject: Protecting Copyright.

Hi all,

Regards,

Khaled Omar

---

From: Lars Eggert <[email-masked]>
Date: Tue, 28 Apr 2020 20:36:44 +0300

Hi,

> I would like to ask why ideas submitted into ietf drafts are applied without a notice to the draft authors ?!!!

I am happily unfamiliar with the drafts in question. But: copyright doesn't apply to ideas.

It seems like you should re-review BCP 78 and BCP 79, under the provisions of which you have been making your contributions to the IETF.

Lars

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 17:42:29 +0000

Hi Eggert,

Is this means that anyone can use the contents of the IDs stored at the ietf repository !!!!

So what is the copyright text included at the beginning and the end of each ID !!!!

> It seems like you should re-review BCP 78 and BCP 79, under the provisions of which you have been making your contributions to the IETF.

Does this includes applying what is included inside the ID without contacting the draft authors ?!

I'm going to take a legal action regarding the usage of the contents without the draft author permission.

Regards,

Khaled Omar

-----Original Message-----
From: Lars Eggert <[email-masked]> 
Sent: Tuesday, April 28, 2020 7:37 PM
To: Khaled Omar <[email-masked]>
Cc: [email-masked]
Subject: Re: Protecting Copyright.

Hi,

Lars

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 28 Apr 2020 13:09:38 -0500

> Is this means that anyone can use the contents of the IDs stored at 

Anyone who is contributing their work to the standards process can 
include derivative works of other items contributed to the standards 
process (caveat the information below).

> So what is the copyright text included at the beginning and the end of 

It specifically allows for derivative works. See BCP 78 (RFC 5378) 
section 5.3.c <https://tools.ietf.org/html/bcp78#section-5.3>. By 
including that copyright statement (and not including any other 
limitations), the author has granted the right to make those derivative 
works.

> contacting the draft authors ?!

Yes. An author is allowed to limit the right to make derivative works 
(see section 6 <https://tools.ietf.org/html/bcp78#section-6>, but I do 
not see this limitation in draft-omar-nep, which means you have granted 
the right to make derivative works to the IETF Trust, and the IETF Trust 
grants the right to include derivative works in new contributions to the 
standards process to other authors. There is no requirement for 
contacting the original draft author.

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: "DOLLY, MARTIN C" <[email-masked]>
Date: Tue, 28 Apr 2020 18:38:23 +0000

Ugh

Martin C. Dolly
Lead Member of Technical Staff
Government & Services Standards
AT&T
Cell: +1.609.903.3360<tel:+1.609.903.3360>
Email: [email-masked]<mailto:[email-masked]>

On Apr 28, 2020, at 2:10 PM, Pete Resnick <[email-masked]> wrote:

Anyone who is contributing their work to the standards process can include derivative works of other items contributed to the standards process (caveat the information below).

It specifically allows for derivative works. See BCP 78 (RFC 5378) section 5.3.c <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_bcp78-23section-2D5.3&d=DwIBAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=xw2owL1pvrj-D8u26FGQ1BC-2n2MMDhl20vaNK-KeI0&s=dEktUwQeS7J1Rkpya9b0UPQDJ8icpq6iSARtDCLpesY&e= >. By including that copyright statement (and not including any other limitations), the author has granted the right to make those derivative works.

Yes. An author is allowed to limit the right to make derivative works (see section 6 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_bcp78-23section-2D6&d=DwIBAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=xw2owL1pvrj-D8u26FGQ1BC-2n2MMDhl20vaNK-KeI0&s=in3WGSptqxc0Jhq5oauChH-NleGLvBijzngWg4U4W8E&e= >, but I do not see this limitation in draft-omar-nep, which means you have granted the right to make derivative works to the IETF Trust, and the IETF Trust grants the right to include derivative works in new contributions to the standards process to other authors. There is no requirement for contacting the original draft author.

pr
--
Pete Resnick https://urldefense.proofpoint.com/v2/url?u=https-3A__www.episteme.net_&d=DwIBAg&c=LFYZ-o9_HUMeMTSQicvjIg&r=G9v8uCSSQhCmpw7ItG0r2g&m=xw2owL1pvrj-D8u26FGQ1BC-2n2MMDhl20vaNK-KeI0&s=5HaHfhY1Kfih6IYu16Dt03MLEmz40yxZBkWXqoL4O_w&e= All connections to the world are tenuous at best

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 18:38:56 +0000

So what are the benefits for this development that comes to the author if his work can be stolen by anyone?

Why there is a standardization organization like the ietf?

Is this means that any other organization can be established and use all the ietf related work and add the protection to its participants other than wasting their efforts? 

Khaled Omar

-----Original Message-----
From: Pete Resnick <[email-masked]> 
Sent: Tuesday, April 28, 2020 8:10 PM
To: Khaled Omar <[email-masked]>
Cc: Lars Eggert <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

> So what is the copyright text included at the beginning and the end of 

It specifically allows for derivative works. See BCP 78 (RFC 5378) section 5.3.c <https://tools.ietf.org/html/bcp78#section-5.3>. By including that copyright statement (and not including any other limitations), the author has granted the right to make those derivative works.

> contacting the draft authors ?!

Yes. An author is allowed to limit the right to make derivative works (see section 6 <https://tools.ietf.org/html/bcp78#section-6>, but I do not see this limitation in draft-omar-nep, which means you have granted the right to make derivative works to the IETF Trust, and the IETF Trust grants the right to include derivative works in new contributions to the standards process to other authors. There is no requirement for contacting the original draft author.

pr

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 28 Apr 2020 14:44:48 -0400

> On Apr 28, 2020, at 2:38 PM, Khaled Omar <[email-masked]> wrote:
> 

no

you should take a look at BCP 78 - the derivative works right is within the IETF unless special permiaiaon is granted

Scott

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 28 Apr 2020 13:46:01 -0500

On 28 Apr 2020, at 13:38, Khaled Omar wrote:

> So what are the benefits for this development that comes to the 
> author...

The benefit is for collaboration, and to have the author's work 
interoperate with the work of others who participate in the IETF. We do 
recognize that some contributors have patented ideas, and there are 
protections for those, but the writing are for the benefit of everyone 
contributing to the IETF.

> ...if his work can be stolen by anyone?

Again, not anyone. Only those who contribute their work to the IETF 
standardization process.

> Why there is a standardization organization like the ietf?

Interoperability and collaboration. See above.

> Is this means that any other organization can be established and use 
> all the ietf related work and add the protection to its participants 
> other than wasting their efforts?

No, that is not permitted by the license. You are only allowed to make 
derivative works if you are contributing your work to the standards 
process (unless the author allows or a different license is given).

pr

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 18:47:14 +0000

> you should take a look at BCP 78 - the derivative works right is within the IETF unless special permiaiaon is granted

It says "derivative works rights", not "the original work rights".

Khaled Omar

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Tuesday, April 28, 2020 8:45 PM
To: Khaled Omar <[email-masked]>
Cc: Pete Resnick <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

no

Scott

> Pete Resnick https://www.episteme.net/ All connections to the world 
> are tenuous at best
>

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 28 Apr 2020 20:47:45 +0200

The IETF is not to make money. It is to contribute to the community with Interoperable Open Standards, the only way Internet could work.

Similarly, as when you contribute to Open Source.

You're free to not contribute. You're free to patent your work. Then nobody, most probably, will use that work for anything which is open, as the spirit of Internet.

Regards,
Jordi
@jordipalet

El 28/4/20 20:40, "ietf en nombre de Khaled Omar" <[email-masked] en nombre de [email-masked]> escribió:

    Khaled Omar

    -----Original Message-----
    From: Pete Resnick <[email-masked]> 
    Sent: Tuesday, April 28, 2020 8:10 PM
    To: Khaled Omar <[email-masked]>
    Cc: Lars Eggert <[email-masked]>; [email-masked]
    Subject: Re: Protecting Copyright.

    pr

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 28 Apr 2020 14:49:54 -0400

a new document with the text from another imbedded in it is a derivative work

derivative works do not require a change in the ideas the derivative work could just be an extension or repackaging of the original work

Scott

> On Apr 28, 2020, at 2:47 PM, Khaled Omar <[email-masked]> wrote:
>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 28 Apr 2020 14:51:09 -0400

Just to elaborate on Pete's response. The reason the rules are set up this
way is to account for two problems that have been encountered in the past.

One problem that comes up repeatedly is that someone writes a draft and
stops participating in IETF process. In some cases the original author may
be unreachable, there may be six authors, some may even have died. It is
often completely impractical to revise a draft in those circumstances. So a
draft might have to be completely rewritten to make a minor change.

The other issue is that someone writes a proposal, someone else copies the
entire proposal with changes the original authors disagree with and submit
that with their own names on it. That is not common but has happened to me
once, (though in that particular case my name had already dropped off the
draft in question for reasons of politics of getting it adopted.)

So the rules give two options for good reason. But for most cases, what we
really need is possibly a third option which is closer to a 'moral right'
sort of approach. In certain cases I do reserve copyright but what I am
really after is a weaker condition which is attribution. I would be quite
happy with someone taking one of my drafts and using it as the basis for a
new draft provided that there is a prominent notice on the front page (or
HTML equivalent) stating that this is a continuation of my draft and
acknowledging that while I do not endorse this particular variation, it is
built on my work.

That might be something worth considering for the future as part of RFC
evolution.

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 18:52:10 +0000

> The benefit is for collaboration, and to have the author's work interoperate with the work of others who participate in the IETF. We do recognize that some contributors have patented ideas, and there are protections for those, but the writing are for the benefit of everyone contributing to the IETF.

Discarding the original author ?!!!

> No, that is not permitted by the license. You are only allowed to make derivative works if you are contributing your work to the standards process (unless the author allows or a different license is given).

And applying this to my case, I didn't allow anyone to use the contents without asking for my permission outside the ietf.

Khaled Omar

-----Original Message-----
From: Pete Resnick <[email-masked]> 
Sent: Tuesday, April 28, 2020 8:46 PM
To: Khaled Omar <[email-masked]>
Cc: Lars Eggert <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

> So what are the benefits for this development that comes to the 

The benefit is for collaboration, and to have the author's work interoperate with the work of others who participate in the IETF. We do recognize that some contributors have patented ideas, and there are protections for those, but the writing are for the benefit of everyone contributing to the IETF.

> ...if his work can be stolen by anyone?

Again, not anyone. Only those who contribute their work to the IETF standardization process.

> other than wasting their efforts?

No, that is not permitted by the license. You are only allowed to make derivative works if you are contributing your work to the standards process (unless the author allows or a different license is given).

pr

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Apr 2020 14:53:02 -0400

--On Tuesday, April 28, 2020 13:09 -0500 Pete Resnick
<[email-masked]> wrote:

> Anyone who is contributing their work to the standards process
> can include derivative works of other items contributed to the
> standards process (caveat the information below).
> 
> It specifically allows for derivative works. See BCP 78 (RFC
> 5378) section 5.3.c
> <https://tools.ietf.org/html/bcp78#section-5.3>. By including
> that copyright statement (and not including any other
> limitations), the author has granted the right to make those
> derivative works.
> 
> Yes. An author is allowed to limit the right to make
> derivative works (see section 6
> <https://tools.ietf.org/html/bcp78#section-6>, but I do not
> see this limitation in draft-omar-nep, which means you have
> granted the right to make derivative works to the IETF Trust,
> and the IETF Trust grants the right to include derivative
> works in new contributions to the standards process to other
> authors. There is no requirement for contacting the original
> draft author.

The one thing that I'm surprised that Pete did not add is that,
if something new and derivative actually draws inspiration (or
text) from a previous document, it is generally considered
courteous to discuss the idea with those responsible for that
early document.  It is also a good idea from the standpoint of
advancing the state of the art and any relevant standards work
because comparing different ways of thinking about things often
leads to better insights.  

However, as Pete points out, neither is a requirement.  Equally
important, as Rob Wilton pointed out, if one were actually
trying to protect the ideas, as distinct from how they are
stated, you (or whomever was involved) would need one or more
patents, not just claims of copyright on documents.  Whether
your particular metric was patentable given that 1988 patent is
a subject about which you should consult your favorite patent
attorney or other expert because probably no one reading this
list is competent to give you advice, much less free advice that
you can trust, on that subject.  In addition, IANAL, but I've
been told several times, privately and on IETF lists, that the
patent laws of several countries prevent obtaining patents if
public disclosure is made of the claimed invention prior to some
point in the patent application process and that sharing ideas
with an open standards body for consideration by that group is
typically considered public disclosure.

   john

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 28 Apr 2020 14:56:21 -0400

> On Apr 28, 2020, at 2:52 PM, Khaled Omar <[email-masked]> wrote:
> 

in that case the issue is not an IETF one - it is between you and the person or company that copied your work

Scott

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 28 Apr 2020 14:58:55 -0400

John is correct that the courtesy is not required but acknowledgement of all contributors, in this case,
the author of the original document, must be acknowledged under the requirements in BCP 78

Scott

> On Apr 28, 2020, at 2:53 PM, John C Klensin <[email-masked]> wrote:
> 
> 
>

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:00:18 +0000

> The IETF is not to make money. It is to contribute to the community with Interoperable Open Standards, the only way Internet could work.

So what is the difference between a legal organization and dorm room organization ?!!!

Is this means anyone can use anything regardless the copyright, why I mention my name at the last page of the draft, my address and my contact number?

 > You're free to not contribute. You're free to patent your work. Then nobody, most probably, will use that work for anything which is open, as the spirit of Internet.

Sure I have the right not to contribute, and at the same time, I have the right not to allow using my work for free.

Khaled Omar

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of JORDI PALET MARTINEZ
Sent: Tuesday, April 28, 2020 8:48 PM
To: [email-masked]
Subject: Re: Protecting Copyright.

Regards,
Jordi
@jordipalet

    Khaled Omar

    -----Original Message-----
    From: Pete Resnick <[email-masked]> 
    Sent: Tuesday, April 28, 2020 8:10 PM
    To: Khaled Omar <[email-masked]>
    Cc: Lars Eggert <[email-masked]>; [email-masked]
    Subject: Re: Protecting Copyright.

    pr

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 28 Apr 2020 14:03:20 -0500

On 28 Apr 2020, at 13:56, Scott O. Bradner wrote:

>>> interoperate with the work of others who participate in the IETF. We 
>>> do recognize that some contributors have patented ideas, and there 
>>> are protections for those, but the writing are for the benefit of 
>>> everyone contributing to the IETF.
>>

Well, as John Klensin indicated, if the person knew of your work and 
didn't give you credit, it's certainly rude not to give you credit, but 
it is not required by the license.

>>> No, that is not permitted by the license. You are only allowed to 
>>> make derivative works if you are contributing your work to the 
>>> standards process (unless the author allows or a different license 
>>> is given).
>>
>> And applying this to my case, I didn't allow anyone to use the 
>> contents without asking for my permission outside the ietf.
>

Scott, correct me if I'm wrong, but I believe it is also a violation of 
the IETF Trust's license to copy the text without permission.

But Khaled, remember that copyright is about copying the text, not 
taking your idea. Unless they copied the text, they have not violated 
the copyright license.

pr

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:03:59 +0000

> in that case the issue is not an IETF one - it is between you and the person or company that copied your work

I know it is outside the ietf, but I wanna understand what the ietf do to protect the rights of its participants, I'll not charge the ietf, I'll charge the company who used my work without my permission or even a notice.

Khaled Omar

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Tuesday, April 28, 2020 8:56 PM
To: Khaled Omar <[email-masked]>
Cc: Pete Resnick <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

Scott

---

From: "Scott O. Bradner" <[email-masked]>
Date: Tue, 28 Apr 2020 15:05:46 -0400

> On Apr 28, 2020, at 3:03 PM, Pete Resnick <[email-masked]> wrote:
> 
> Well, as John Klensin indicated, if the person knew of your work and didn't give you credit, it's certainly rude not to give you credit, but it is not required by the license.
> 
> Scott, correct me if I'm wrong, but I believe it is also a violation of the IETF Trust's license to copy the text without permission.

outside of the IETF, that is correct

but the IETF Trust is not in the business of enforcing such rules

> 
> But Khaled, remember that copyright is about copying the text, not taking your idea. Unless they copied the text, they have not violated the copyright license.

a very important point - that is often confused

Scott

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:07:30 +0000

> John is correct that the courtesy is not required but acknowledgement of all contributors, in this case, the author of the original document, must be acknowledged under the requirements in BCP 78.

And as I can see, no acknowledgment, no contact, and no approval occurred for the information usage in practical for a profitable organization like cisco.

Khaled Omar 

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Tuesday, April 28, 2020 8:59 PM
To: Khaled Omar <[email-masked]>
Cc: IETF Rinse Repeat <[email-masked]>
Subject: Re: Protecting Copyright.

John is correct that the courtesy is not required but acknowledgement of all contributors, in this case, the author of the original document, must be acknowledged under the requirements in BCP 78

Scott

>> <https://tools.ietf.org/html/bcp78#section-5.3>. By including that 
>> copyright statement (and not including any other limitations), the 
>> author has granted the right to make those derivative works.
>> 
>> (see section 6 <https://tools.ietf.org/html/bcp78#section-6>, but I 
>> do not see this limitation in draft-omar-nep, which means you have 
>> granted the right to make derivative works to the IETF Trust, and the 
>> IETF Trust grants the right to include derivative works in new 
>> contributions to the standards process to other authors. There is no 
>> requirement for contacting the original draft author.
> 
> The one thing that I'm surprised that Pete did not add is that, if 
> something new and derivative actually draws inspiration (or
> text) from a previous document, it is generally considered courteous 
> to discuss the idea with those responsible for that early document.  
> It is also a good idea from the standpoint of advancing the state of 
> the art and any relevant standards work because comparing different 
> ways of thinking about things often leads to better insights.
> 
> important, as Rob Wilton pointed out, if one were actually trying to 
> protect the ideas, as distinct from how they are stated, you (or 
> whomever was involved) would need one or more patents, not just claims 
> of copyright on documents.  Whether your particular metric was 
> patentable given that 1988 patent is a subject about which you should 
> consult your favorite patent attorney or other expert because probably 
> no one reading this list is competent to give you advice, much less 
> free advice that you can trust, on that subject.  In addition, IANAL, 
> but I've been told several times, privately and on IETF lists, that 
> the patent laws of several countries prevent obtaining patents if 
> public disclosure is made of the claimed invention prior to some point 
> in the patent application process and that sharing ideas with an open 
> standards body for consideration by that group is typically considered 
> public disclosure.
> 
>   john
>

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:10:09 +0000

> > But Khaled, remember that copyright is about copying the text, not taking your idea. Unless they copied the text, they have not violated the copyright license.

The case now is that they used my idea presented on the NEP ID and added it to their protocol, what to call this?

Khaled Omar

-----Original Message-----
From: Scott O. Bradner <[email-masked]> 
Sent: Tuesday, April 28, 2020 9:06 PM
To: Pete Resnick <[email-masked]>
Cc: Khaled Omar <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

Scott

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 28 Apr 2020 14:18:21 -0500

On 28 Apr 2020, at 14:10, Khaled Omar wrote:

> The case now is that they used my idea presented on the NEP ID and 
> added it to their protocol, what to call this?

That is something you can bring to a patent/intellectual-property 
lawyer. The IETF does not get in the middle of those sorts of disputes.

pr

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:21:45 +0000

> Well, as John Klensin indicated, if the person knew of your work and didn't give you credit, it's certainly rude not to give you credit, but it is not required by the license.

Only rude, what about rights and justice.

> That is something you can bring to a patent/intellectual-property lawyer. The IETF does not get in the middle of those sorts of disputes.

But the work is ietf related work, so how it does not get in the middle.

Khaled Omar

-----Original Message-----
From: Pete Resnick <[email-masked]> 
Sent: Tuesday, April 28, 2020 9:18 PM
To: Khaled Omar <[email-masked]>
Cc: Scott O. Bradner <[email-masked]>; [email-masked]
Subject: Re: Protecting Copyright.

> added it to their protocol, what to call this?

That is something you can bring to a patent/intellectual-property lawyer. The IETF does not get in the middle of those sorts of disputes.

pr

---

From: Michael StJohns <[email-masked]>
Date: Tue, 28 Apr 2020 15:42:24 -0400

> But the work is ietf related work, so how it does not get in the middle.
IMO - you have no remedy that is available to you by posting to this 
list.  The IETF is not a party to your issue, even less than an email 
provider would be a party if you happened to send an email that was 
misused by the receiver.  You've been given other suggestions, the most 
cogent and applicable of which is "engage a lawyer and take it up with 
the entity you believe has wronged you".    Perhaps it's time to end 
this thread and for you to take responsibility to deal with issues which 
you've raised, none of which the IETF is responsible for remediating?

Please listen to what you've been told - that is the reality as we know 
it and asking again and again is unlikely to change that reality or the 
answers.  Persisting is likely to get less and less sympathetic responses.

Later, Mike

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 19:48:47 +0000

> You've been given other suggestions, the most cogent and applicable of which is "engage a lawyer and take it up with the entity you believe has wronged you".

In progress...

> Please listen to what you've been told - that is the reality as we know it and asking again and again is unlikely to change that reality or the answers.  Persisting is likely to get less and less sympathetic responses.

Not everywhere is like that, as there are good people, there are bad people, maybe the percentage of bad people now became high, that doesn't mean that the right thing can be changed to be a wrong thing, still right is right, and wrong is wrong.

Khaled Omar

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Michael StJohns
Sent: Tuesday, April 28, 2020 9:42 PM
To: [email-masked]
Subject: Re: Protecting Copyright.

> But the work is ietf related work, so how it does not get in the middle.
IMO - you have no remedy that is available to you by posting to this list.  The IETF is not a party to your issue, even less than an email provider would be a party if you happened to send an email that was misused by the receiver.  You've been given other suggestions, the most cogent and applicable of which is "engage a lawyer and take it up with the entity you believe has wronged you".    Perhaps it's time to end this thread and for you to take responsibility to deal with issues which you've raised, none of which the IETF is responsible for remediating?

Please listen to what you've been told - that is the reality as we know it and asking again and again is unlikely to change that reality or the answers.  Persisting is likely to get less and less sympathetic responses.

Later, Mike

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Apr 2020 16:01:34 -0400

--On Tuesday, April 28, 2020 14:51 -0400 Phillip Hallam-Baker
<[email-masked]> wrote:

>...
> So the rules give two options for good reason. But for most
> cases, what we really need is possibly a third option which is
> closer to a 'moral right' sort of approach. In certain cases I
> do reserve copyright but what I am really after is a weaker
> condition which is attribution. I would be quite happy with
> someone taking one of my drafts and using it as the basis for a
> new draft provided that there is a prominent notice on the
> front page (or HTML equivalent) stating that this is a
> continuation of my draft and acknowledging that while I do not
> endorse this particular variation, it is built on my work.

Partially as a result of history similar to the cases you
mentioned, that is the reason why a "Contributors" section is
now possible in an RFC or I-D and, as Scott pointed out, its use
is required by BCP 78.  It is also discussed in RFC 7322.   That
does not give the front page announcement that you are
suggesting, but does provide an opportunity to cover the issue
you identify.  I believe those sections have been used to
explicitly acknowledge that one or more Contributors do not
agree with the final result; Acknowledgments have definitely
been used that way.

best,
    john

---

From: Keith Moore <[email-masked]>
Date: Tue, 28 Apr 2020 19:18:47 -0400

> The case now is that they used my idea presented on the NEP ID and added it to their protocol, what to call this?

It's called "not IETF's problem".   If you believe your rights have been 
violated, why not seek the advice of competent legal counsel?

Keith

---

From: Khaled Omar <[email-masked]>
Date: Tue, 28 Apr 2020 23:30:27 +0000

> It's called "not IETF's problem".   If you believe your rights have been violated, why not seek the advice of competent legal counsel?

Ok, in progress.

Khaled Omar

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Keith Moore
Sent: Wednesday, April 29, 2020 1:19 AM
To: [email-masked]
Subject: Re: Protecting Copyright.

> The case now is that they used my idea presented on the NEP ID and added it to their protocol, what to call this?

It's called "not IETF's problem".   If you believe your rights have been violated, why not seek the advice of competent legal counsel?

Keith